using System.ServiceModel;
using Soya.Model;
using Soya.Model.Mep;

namespace Meteo.Client {
    [ServiceContract(Namespace = NS.Contract)]
    [SsdlProtocolContract(Namespace = NS.Protocol)]
    public interface IClientService {
        [OperationContract(IsOneWay = true)] // add and ignore...
        [Mep(Style = MepStyle.OutIn, Out = typeof(ForecastRequestMsg))]
        void ProcessResponse(ForecastResponseMsg response);
    }
}