using System.ServiceModel;
using Soya.Model;
using Soya.Model.Mep;

namespace Meteo.Service {
    [ServiceContract(Namespace = NS.Contract)]
    [SsdlProtocolContract(Namespace = NS.Protocol)]
    public interface IForecastService {
        [OperationContract(IsOneWay = true)] // add and ignore...
        [Mep(Style = MepStyle.InOut, Out = typeof (ForecastResponseMsg))]
        void Process(ForecastRequestMsg request);
    }
}