using System;
using log4net;
using Soya.WCF;

namespace Meteo.Service {
    public class Program {
        private static readonly ILog log = LogManager.GetLogger(typeof (Program));

        public static void Main(params string[] args) {
            log.Info("Starting program...");

            SoyaServiceHost host = new SoyaServiceHost(typeof (MyForecastService));
            host.Open();

            Console.ReadLine(); // wait here
        }
    }
}