using System;
using log4net;

namespace Meteo.Client {
    public class MyClientService : IClientService {
        private static readonly ILog log = LogManager.GetLogger(typeof(MyClientService));

        public void ProcessResponse(ForecastResponseMsg response) {
            ForecastDetail forecast = response.body;
            log.InfoFormat("Received forecast from server: {0} - {1}", forecast.Condition, forecast.Temperature);
        }
    }
}